%define name		mozilla-firefox
%define oname           firefox
%define version 2.0.0.3
%define advertised_version 2.0.0.3
%define fversion %version

%define official_branding 1

%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %mdkversion < 200710
%define build_nss_nspr 1
%else
%define build_nss_nspr 0
%endif

#warning : always end release date with 00 
# (it should be the hour of build but it is not significant for rpm)
%define date 2007020800

%define rel 2
%if %mdkversion < 200700
%define subrel 1
%endif
%if %build_for_corp3
%define distversion C30
%endif
%define release %mkrel %rel
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define exec_name	mozilla-firefox
%if %mdkversion <= 200700
%define up_ca_name	mozilla-firefox
%else
%define up_ca_name	firefox
%endif
%define lib_name	%{up_ca_name}-%version
%define mozillalibdir   %_libdir/%lib_name
%define mozillaincludedir %{_includedir}/%{lib_name}

%define section Networking/WWW
%define title   Mozilla Firefox

%define summ Mozilla Firefox Web Browser

%define epoch_mozilla 0

%if %build_nss_nspr
%define major_nspr 4
%define epoch_nspr 2
%define lib_nspr_name %mklibname nspr %{major_nspr}

%define major_nss 3
%define epoch_nss 2
%define lib_nss_name %mklibname nss %{major_nss}
%endif

%define libpkg_major    %version
%define libpkg_name    %mklibname %name %libpkg_major
%define libpkg_name_orig lib%{name}

Summary:        %summ
Name:           %name
Version:        %version
Release:        %release
Epoch:		%{epoch_mozilla}
License:        MPL/GPL/LGPL
Group:          Networking/WWW
URL:            http://www.mozilla.org/projects/firefox
Source0:        ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%fversion/source/%oname-%fversion-source.tar.bz2
Source2:	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%fversion/source/%oname-%fversion-source.tar.bz2.asc
Source26:  	mozilla-firefox-rebuild-databases.pl.in.generatechrome
Source28:	mozilla-firefox.1
Source29:	firefox-gnomestripe-0.4.tar.bz2
Source30:	firefox-kdestripe-0.3.tar.bz2
Source31:	mozilla-firefox-1.0-migrationscript.sh
Source32:	mozilla-firefox-bookmarks-mdk2006.tar.bz2
Source33:	mozilla-firefox-1.5.0.6-certdata.txt
Source35:	firefox-searchengines-jamendo.xml

# set default homepage
Patch0:		mozilla-firefox-2.0.0.2-homepage.patch
# set default plugin dir
Patch1:		mozilla-firebird-0.6.1-plugindirs.patch
# don't check default browser at startup
Patch2:		mozilla-firefox-check-default-browser.patch
# set browser name to mozilla-firefox
Patch4:		mozilla-firefox-2.0-browsername.patch
# fix compilation with latest freetype
Patch5:         mozilla-firefox-1.5-freetype-compile.patch
# fix loading of libXext.so.6 and libXt.so.6 
Patch6:		mozilla-firefox-load-full-dso.patch
# fix language detection at startup
Patch11:	mozilla-firefox-1.0-lang.patch
# (fc) 1.0-9mdk set ps default fonts for some asiatic languages (moz patch12)
Patch12:	mozilla-firefox-1.0-psfonts.patch
# (fc) 1.0-9mdk make default plugin less annoying (moz patch 27)
Patch13:	mozilla-firefox-1.0-default-plugin-less-annoying.patch
# (fc) 1.0-9mdk use Standard Symbols L too for MathML (moz patch 42)
Patch14:	mozilla-firefox-1.0-mathml-standardsymbolsl.patch
# (fc) 1.0-9mdk fix problem with time font in MathML (moz patch 43)
Patch15:	mozilla-firefox-2.0.0.2-mathml-times.patch
# (fc) 1.0-9mdk patches for MathML (bug #176290) (moz patch 113)
Patch16:	mozilla-firefox-1.0-mathmlfixes.patch
# (fc) 1.0-9mdk Workaround problems with prdtoa (fedora)
Patch18:	mozilla-firefox-1.0-prdtoa.patch
# (fc) 1.0-9mdk try to load castella PKCS#11 module if available (moz patch257)
Patch25:  	mozilla-firefox-1.0-castella.patch
# (fc) 1.0-9mdk Fix problem where default apps aren't showing up in the download dialog (moz patch268)
Patch29:	mozilla-firefox-1.0-gnome-vfs-default-app.patch
# (fc) 1.0-9mdk fix dynamic library loading on 64bit system (moz patch270)
Patch31:	mozilla-firefox-1.0-lib64.patch
# (fc) 1.0-9mdk fix default apps in download dialog and kill check browser at startup UI (Fedora)
Patch35:	mozilla-firefox-2.0-default-applications.patch
# (fc) 1.0-9mdk disable software update (Fedora)
Patch36:	mozilla-firefox-1.5-software-update.patch
# (fc) 1.0-9mdk change default theme
Patch40:	mozilla-firefox-1.5-gnomestripe.patch
# (fc) 1.0-9mdk don't call netstat to set entropy (Debian) (Mdk bug #9427)
Patch45:	mozilla-firefox-1.0-fixrandom.patch
# (fc) 1.0-9mdk ignore unknown mouse button even (Debian)
Patch46:	mozilla-firefox-1.5.0.6-unknownmousebutton.patch
# (fc) 1.0-9mdk set kdestripe theme when running KDE
Patch51:	mozilla-firefox-2.0-kdestripe.patch
# (fc) 1.0.1-1mdk fix startup-script to open new url in new tab
Patch53:	mozilla-firefox-1.5-remote.patch
# (fc) 1.0.2-3mdk add env variable to disable GNOME uri handler (Fedora)
Patch63:	mozilla-firefox-1.0-gnome-uriloader.patch
# (fc) 1.0.4-1mdk fix pango underline displayed as overstrike in CJK (Magiclinux) (Mdk bug #14331)
Patch93:	mozilla-firefox-1.5-pango-underline.patch
# (fc) 1.0.6-2mdk allow sending vendorComment in plugin seach
Patch96:	mozilla-firefox-1.5-vendor.patch
# (fc) 1.0.6-3mdk plugin finder now connects to Mandriva Club
Patch97:	mozilla-firefox-1.5-clubplugin.patch
# (fc) 1.0.6-3mdk add support for freedesktop mime-info (Fedora)
Patch98:	mozilla-firefox-1.5-uriloader.patch
# (fc) 1.0.6-6mdk fix last Xft references (Fedora)
Patch101:	mozilla-firefox-1.5.0.6-pango-noxft.patch
# (fc) 1.5-5mdk disable visibility for everything but x86 (Fedora) (Mdk bug #20580)
Patch103:	mozilla-firefox-1.5-visibility.patch
# (fc) 1.5.0.1-2mdk fix window.blur() for embedded (CVS) (Moz bug #325644)
Patch105:	mozilla-firefox-1.5.0.7-embedblur.patch
# (fc) 1.5.0.1-3mdk disable branding
Patch107:	mozilla-firefox-2.0-disablebranding.patch
# (fc) 1.5.0.5-1mdv don't crash with flash and composite
Patch108:	mozilla-firefox-1.5.0.5-fixcomposite.patch
# (fc) 1.5.0.5-2mdv fix underquoted warning
Patch109:	mozilla-firefox-1.5.0.5-fixunderquoted.patch
# (fc) 1.5.0.6-2mdv support system proxy (Mdv bug #10875)
Patch111:	mozilla-firefox-1.5.0.6-systemproxy.patch
# (fc) 1.5.0.6-2mdv enable startup notification (SUSE)
Patch112:	mozilla-firefox-2.0.0.2-startupnotification.patch
# (fc) 1.5.0.6-2mdv enable horizontal scroll with horizontal mousewheel (Mdv bug #24443)
Patch114:	mozilla-firefox-1.5.0.6-horizontalmousewheel.patch
# (fc) 1.5.0.6-2mdv fix NSS to use our CFLAGS (SUSE)
Patch116:	mozilla-firefox-1.5.0.6-nssopt.patch
# (fc) 1.5.0.6-2mdv make pagesize postscript DSC conform (SUSE)
Patch117:	mozilla-firefox-1.5.0.6-postscriptdsc.patch
# (fc) 1.5.0.6-2mdv only enable pango for specific locale
Patch120:	mozilla-firefox-1.5.0.6-disable-pango.patch
# (fc) 1.5.0.6-6mdv copy FcCharSet, prevent crash with fontconfig 2.4
Patch122:	mozilla-firefox-1.5.0.6-fccrash.patch
# (fc) 1.5.0.7-1mdv increase user-agent string size to 256 bytes (gb)
Patch123:	mozilla-firefox-1.5.0.6-uagent-buffer-size.patch
# (nl) 2.0-1mdv  fix link layout  (from fedora)
Patch124:       firefox-2.0-link-layout.patch
# (gb) 2.0-2mdv add ppc64 support
Patch125:	mozilla-firefox-2.0-ppc64.patch
# (mrl) 2.0.0.1 fix netstat zombie process (upstream bug 51429)
Patch126:	firefox-2.0.0.1-bug51429-safe_pclose.patch
Patch127:	firefox-2.0.0.1-bug51429-safe_popen.patch

BuildRoot:      %_tmppath/%name-%version-buildroot
Requires:	indexhtml
# Due to mailto links. See bug #28697.
Requires:	xdg-utils
%if !%build_for_corp3
BuildRequires:	pango-devel >= 1.5.90
%endif
BuildRequires:	libpng-devel
BuildRequires:	libgnome2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	gtk+2-devel
%if %mdkversion >= 200700
BuildRequires:	libxt-devel
BuildRequires:	rootcerts >= 20060621
%endif
BuildRequires:	zip
BuildRequires:	libIDL2-devel
BuildRequires:	ImageMagick
BuildRequires:  startup-notification-devel
%if !%build_for_corp3
BuildRequires:  libcairo-devel
%endif
%if %mdkversion > 1000
BuildRequires:	autoconf2.1
%endif
Provides:	mozilla-firebird
Obsoletes:	mozilla-firebird
Provides:	webclient
# we can't ship working mozilla/epiphany/galeon for corp3 anymore
%if %build_for_corp3
Provides:      mozilla-browser
Obsoletes:     mozilla-browser
Provides:      epiphany
Obsoletes:     epiphany
Provides:      galeon
Obsoletes:     galeon
%endif
%if %build_nss_nspr
Requires:	%{lib_nspr_name} >= %{epoch_nspr}:%{version}
Requires:	%{lib_nss_name} >= %{epoch_nss}:%{version}
%else
BuildRequires: nss-devel
BuildRequires: nss-static-devel
BuildRequires: nspr-devel
%endif
%if %mdkversion < 200700
Requires:	gtk+2 >= 0:2.2.0
%else 
Requires:       %{libpkg_name} = %{epoch_mozilla}:%{version}-%{release}
%endif

%description
The Mozilla Firefox project aims to build the most useful web browser
for all platforms.

Mozilla Firefox features:

- Popup blocking built-in
- Tabbed browsing, to view more than one web page in a single window
- A comprehensive set of privacy options
- Search tools built right into the toolbar
- Live bookmarks, using RSS
- "Hassle-free" downloading, with fewer prompts

%if %build_nss_nspr
%package -n %{lib_nspr_name}
Epoch:		%{epoch_nspr}
License:	MPL/GPL
URL:		http://www.mozilla.org/projects/nspr/index.html
Summary:	Netscape Portable Runtime Library
Group:		System/Libraries
Obsoletes:	nspr
Provides:	nspr = %{version}-%{release}
Provides:	mozilla-nspr = %{version}-%{release}

%description -n %{lib_nspr_name}
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

%package -n %{lib_nspr_name}-devel
Epoch:		%{epoch_nspr}
Summary:	Netscape Portable Runtime library - development files
Group:		Development/C++
Requires:	%{lib_nspr_name} = %{epoch_nspr}:%{version}-%{release}
Obsoletes:	nspr-devel
Provides:	nspr-devel = %{epoch_nspr}:%{version}-%{release}
Provides:	libnspr-devel = %{epoch_nspr}:%{version}-%{release}

%description -n %{lib_nspr_name}-devel
Header files for doing development with the Netscape Portable Runtime.

%package -n %{lib_nspr_name}-static-devel
Epoch:		%{epoch_nspr}
Summary:	Netscape Portable Runtime library - static libraries
Group:		Development/C++
Requires:	%{lib_nspr_name}-devel = %{epoch_nspr}:%{version}-%{release}
Provides:	nspr-static-devel = %{epoch_nspr}:%{version}-%{release}
Provides:	libnspr-static-devel = %{epoch_nspr}:%{version}-%{release}

%description -n %{lib_nspr_name}-static-devel
Static libraries for doing development with the Netscape Portable Runtime.

%package -n %{lib_nss_name}
Epoch:		%{epoch_nss}
License:	MPL/GPL
URL:		http://mozilla.org/projects/security/pki/nss/
Summary:	Network Security Services (NSS)
Group:		System/Libraries
Provides:	mozilla-nss = %{version}-%{release}

%description -n %{lib_nss_name}
Network Security Services (NSS) is a set of libraries designed to support
cross-platform development of security-enabled server applications.
Applications built with NSS can support SSL v2 and v3, TLS, PKCS #5, PKCS #7,
PKCS #11, PKCS #12, S/MIME, X.509 v3 certificates, and other security
standards.

%package -n %{lib_nss_name}-devel
Epoch:		%{epoch_nss}
Summary:	Network Security Services (NSS) - development files
Group:		Development/C++
Requires:	%{lib_nss_name} = %{epoch_nss}:%{version}-%{release}
Requires:	%{lib_nspr_name}-devel = %{epoch_nspr}:%{version}-%{release}
Provides:	libnss-devel = %{epoch_nss}:%{version}-%{release}
Provides:	nss-devel = %{epoch_nss}:%{version}-%{release}

%description -n %{lib_nss_name}-devel
Header files to doing development with Network Security Services.
%endif

%if %mdkversion >= 200700
%package -n %{libpkg_name}
Epoch:         %{epoch_mozilla}
Summary:       Mozilla Firefox libraries
Group:         System/Libraries
Provides:      %{libpkg_name_orig} = %{epoch_mozilla}:%{version}-%{release}
%if %build_nss_nspr
Requires:      %{lib_nspr_name} >= %{epoch_nspr}:%{version}
Requires:      %{lib_nss_name} >= %{epoch_nss}:%{version}
%else
# Due to some libnspr/libnss issues. See #29301.
# We can't use libpkg_name name as the version changes.
Obsoletes:     %{_lib}mozilla-firefox2.0.0.1 = %{epoch_mozilla}:2.0.0.1
%endif
Requires:      gtk+2 >= 0:2.2.0
Requires(post): desktop-common-data
Conflicts:     mozilla-firefox < 1.5.0.6-3mdv2007.0

%description -n %{libpkg_name}
Mozilla Firefox libraries.
%endif

%if %mdkversion < 200700
%package devel
%else
%package -n %{libpkg_name}-devel
%endif
Requires:	%{name} = %{epoch_mozilla}:%{version}-%{release}
Epoch:		%{epoch_mozilla}
Summary:        Mozilla Firefox development files
Group:          Development/Other
Provides:	mozilla-firebird-devel
Obsoletes:	mozilla-firebird-devel
%if %build_nss_nspr
Requires:	%{lib_nss_name}-devel = %{epoch_nss}:%{version}-%{release}
%else
Requires:	nss-devel
%endif
%if %mdkversion >= 200700
Provides:       %{libpkg_name_orig}-devel = %{epoch_mozilla}:%{version}-%{release}
Provides:       %{name}-devel = %{epoch_mozilla}:%{version}-%{release}
Obsoletes:      mozilla-firefox-devel
Requires:       %{libpkg_name} = %{epoch_mozilla}:%{version}-%{release}
%endif

%if %mdkversion < 200700
%description devel
%else
%description -n %{libpkg_name}-devel
%endif
Mozilla Firefox development files.

%prep
%setup -q -c %{name}-%{version}
%setup -T -D -n %{name}-%{version}/mozilla
%{__tar} -xjf %{SOURCE29}
%{__tar} -xjf %{SOURCE30}
%patch0 -p1 -b .homepage
%patch1 -p1 -b .plugindirs
%patch2 -p1 -b .check-default-browser
%patch4 -p1 -b .browser-name
%if !%{official_branding}
%patch107 -p1 -b .disablebranding
%endif
%patch5 -p1 -b .freetype2
%patch6 -p1 -b .load-full-dso
%patch11 -p1 -b .langdetect

%patch12 -p1 -b .psfonts
%patch13 -p1 -b .defaultplugin

# MathML patches
%patch14 -p1 -b .standardsym
%patch15 -p1 -b .mathmltimes
%patch16 -p1 -b .mathmlfixes

%patch18 -p1 -b .prdtoa
%patch25 -p1 -b .castella
%patch29 -p1 -b .gnomevfsdefaultapp
%patch31 -p1 -b .lib64
%patch35 -p1 -b .defaultapplications
%patch36 -p1 -b .disable-software-update
%patch40 -p1 -b .gnomestripe
#needed by patch40
chmod +x toolkit/themes/gnomestripe/global/generate-initial-jar.sh

%patch46 -p1 -b .unknownmousebutton
%patch51 -p1 -b .kdestripe
%patch53 -p1 -b .remote
%patch63 -p1 -b .gnome-uriloader
%if !%build_for_corp3
%patch93 -p1 -b .pango-underline
%endif
%patch96 -p1 -b .vendor
%patch97 -p1 -b .clubplugin
%patch98 -p1 -b .uriloader
%if !%build_for_corp3
%patch101 -p1 -b .pango-noxft
%endif

%ifnarch %{ix86}
%patch103 -p1 -b .visibility
%endif

%patch105 -p1 -b .embedblur
%patch108 -p1 -b .fixcomposite
%patch109 -p1 -b .fixunderquoted
%patch111 -p1 -b .systemproxy
%patch112 -p1 -b .startupnotification
%patch114 -p1 -b .horizontalmousewheel
%patch116 -p1 -b .nssopt
%patch117 -p1 -b .postscriptdsc
%patch120 -p1 -b .disable-pango
%patch122 -p1 -b .fccrash
%patch123 -p1 -b .uagentsize
%patch124 -p1 -b .link-layout
%patch125 -p1 -b .ppc64
cd security/nss/lib/freebl/
%patch126 -p0 -b .safe_pclose
%patch127 -p0 -b .safe_popen
cd -

#change to our own bookmarks
rm -f profile/defaults/bookmarks.html
touch profile/defaults/bookmarks.html

# needed to regenerate certdata.c
cd security/nss/lib/ckfw/builtins
%if %mdkversion > 200600
perl ./certdata.perl < /etc/pki/tls/mozilla/certdata.txt
%else
perl ./certdata.perl < %{SOURCE33}
%endif
cd -

%if %mdkversion <= 200700
sed -i 's@MOZ_APP_NAME=firefox@MOZ_APP_NAME=mozilla-firefox@' configure.in
%endif

# gw the configure script doesn't substitude LIBDIR
%__sed -i -e "s!LIBDIR!%_libdir!" -e 's/="$0"/="%{exec_name}"/g' browser/app/mozilla.in 
# needed by patches 0 & 103, 112, also for distros <= 2007.0 due to
# moz_app_name change
autoconf

%build
%define __cputoolize	/bin/true
%if %mdkversion <= 1000
%define __libtoolize	/bin/true
%endif

# Build with -fabi-version=1 when compiling with gcc3.4+ so that a
# certain level of compatibility is kept to run Sun's Java plugin
GCC_VERSION=`gcc -dumpversion | perl -pe '/(\d+)\.(\d)\.?(\d)?/; $_="$1$2".($3||0)'`
[[ $GCC_VERSION -ge 340 ]] && export CXXFLAGS="-fabi-version=1"

OPT_FLAGS="$RPM_OPT_FLAGS"
%ifarch ppc64
OPT_FLAGS="$OPT_FLAGS -mminimal-toc"
%endif

export MOZ_BUILD_DATE="%{date}"

%configure \
%if !%build_for_corp3
	--enable-pango \
	--enable-startup-notification \
	--enable-system-cairo \
%endif
%if %{official_branding}
	--enable-official-branding \
%endif
	--disable-composer \
	--disable-debug \
	--disable-freetype2 \
	--disable-installer \
	--disable-ldap \
	--disable-mailnews \
	--disable-pedantic \
	--disable-profilesharing \
	--disable-strip \
	--disable-tests \
	--enable-application=browser \
	--enable-canvas \
	--enable-crypto \
	--enable-default-toolkit=gtk2 \
	--enable-extensions=default \
	--enable-ipv6 \
	--enable-optimize="$OPT_FLAGS" \
	--enable-single-profile \
	--enable-svg \
	--enable-xft \
	--enable-xinerama \
	--with-default-mozilla-five-home=%{mozillalibdir} \
	--with-system-jpeg \
%if %build_nss_nspr
	--enable-nspr-autoconf \
	--without-system-nspr \
	--without-system-nss \
%else
	--with-system-nspr \
	--with-system-nss \
%endif
	--with-system-png \
	--with-system-zlib

# let jars get compressed
%__perl -p -i -e 's|\-0|\-9|g' config/make-jars.pl

%make

%install
%__rm -rf %buildroot
%__mkdir_p %buildroot%mozillalibdir/{dictionaries,/extensions}
%makeinstall_std

#replace browser version in user agent string
sed -i -e '/general\.useragent\.appSub/{N;s/%{version}/%{advertised_version}/g;}' \
	%buildroot%{mozillalibdir}/defaults/pref/firefox.js

%if %build_nss_nspr
#move nspr/nss to %{_libdir}
mv %buildroot%{mozillalibdir}/{libnspr4.so,libplc4.so,libplds4.so,libnss3.so,libnssckbi.so,libsmime3.so,libsoftokn3.so,libssl3.so,libfreebl3.so,libsoftokn3.chk} \
	%buildroot%{_libdir}

# workaround for bug 81429
(
 cd %buildroot%{mozillalibdir} 
 ln -s ../libnssckbi.so libnssckbi.so
)

# install static nspr libs
cp -pL dist/lib/{libnspr4.a,libplds4.a,libplc4.a} %buildroot%{_libdir}

# copy the nss files to the right place
mkdir -p %buildroot%{mozillaincludedir}/nss/
find security/nss/lib/ -name '*.h' -type f -exec /bin/cp {} \
	%buildroot%{mozillaincludedir}/nss/ \;

#fix nspr location in nspr-config
cat nsprpub/config/nspr-config |\
	sed -e "s|-I.*/nspr|-I\${prefix}/include/%{lib_name}/nspr|g" \
	> %buildroot%{_bindir}/nspr-config
chmod a+x %buildroot%{_bindir}/nspr-config

ln -s -f %{oname}-nspr.pc %buildroot%{_libdir}/pkgconfig/mozilla-nspr.pc
ln -s -f %{oname}-nss.pc %buildroot%{_libdir}/pkgconfig/mozilla-nss.pc
%else
# Not wanted
rm -f %{buildroot}%{_datadir}/aclocal/nspr.m4
%endif

%__mkdir_p %buildroot%{mozillalibdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/

cp -f browser/app/profile/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/install.rdf \
	%buildroot%{mozillalibdir}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/

#copy migration script
cp %{SOURCE31} %buildroot/%{mozillalibdir}/init.d/S01migration.sh
chmod +x %buildroot/%{mozillalibdir}/init.d/S01migration.sh

# Menu
%__mkdir_p %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} << EOF
?package(%{name}): \
command="%_bindir/%{exec_name}" \
needs="X11" \
icon="%{name}.png" \
section="%section" \
title="%title" \
startup_notify="true" \
longtitle="Lightweight Web Browser" \
accept_url="true" \
mimetypes="text/html,text/xml,application/xhtml+xml,application/vnd.mozilla.xul+xml,text/mml" \
xdg="true"
EOF

mkdir %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{title}
Exec=%{_bindir}/%{exec_name} %u
Icon=%{name}
Terminal=false
Type=Application
MimeType=text/html;text/xml;application/xhtml+xml;application/vnd.mozilla.xul+xml;text/mml;
StartupNotify=true
Categories=GTK;Network;WebBrowser;X-MandrivaLinux-Internet-WebBrowsers;
StartupWMClass=Mozilla-firefox-bin
EOF

%if %mdkversion < 200700
#install bookmarks
bzcat %{SOURCE32} | tar -C %buildroot%{mozillalibdir}/defaults/profile -xf - 
%endif

# icons
%{__mkdir_p} %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/{64x64,128x128}/apps
%if %{official_branding}
%{_bindir}/convert other-licenses/branding/firefox/mozicon128.png \
	-resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png
%{_bindir}/convert other-licenses/branding/firefox/mozicon128.png \
	-resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
%{_bindir}/convert other-licenses/branding/firefox/mozicon128.png \
	-resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
cp other-licenses/branding/firefox/mozicon128.png \
	%{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
cp other-licenses/branding/firefox/content/icon64.png \
	%{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%else
%{_bindir}/convert browser/app/default.xpm %{buildroot}/%{_liconsdir}/%{name}.png
%{_bindir}/convert -scale 32x32 browser/app/default.xpm %{buildroot}/%{_iconsdir}/%{name}.png
%{_bindir}/convert -scale 16x16 browser/app/default.xpm %{buildroot}/%{_miconsdir}/%{name}.png
cp browser/app/mozicon128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_bindir}/convert browser/app/mozicon128.png \
	-resize 64x64 %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%endif

mkdir -p %buildroot%{mozillalibdir}/chrome/icons/default
ln -s ../../../icons/default.xpm %buildroot%{mozillalibdir}/chrome/icons/default/default.xpm


# move Firefox stuff
%if %{official_branding}
ln -s firefox %buildroot%_bindir/%exec_name
%else
%__mv %buildroot%_bindir/%up_ca_name %buildroot%_bindir/%exec_name
%endif
rm -f  %buildroot%_bindir/mozffremote
ln -s %_bindir/%exec_name %buildroot%_bindir/mozffremote

# create file allowing identification of distribution
%if %mdkversion >= 200600
cat << EOF > %buildroot%{mozillalibdir}/defaults/pref/vendor.js
pref("general.useragent.vendor", "Mandriva");
pref("general.useragent.vendorSub", "%{version}-%{release}");
pref("general.useragent.vendorComment","%{mandriva_release}");
EOF
%endif

#config file
mkdir %buildroot%{_sysconfdir}/
cat << EOF > %buildroot%{_sysconfdir}/firefox.cfg
// Firefox configuration file, do not remove
defaultPref("mousewheel.horizscroll.withnokey.action",0);
defaultPref("mousewheel.horizscroll.withnokey.numlines",-1);
defaultPref("mousewheel.horizscroll.withnokey.sysnumlines",true);
defaultPref("network.protocol-handler.app.mailto","/usr/bin/xdg-email");
defaultPref("network.protocol-handler.app.mms","/usr/bin/xdg-open");
EOF
ln -s ../../..%{_sysconfdir}/firefox.cfg %buildroot%{mozillalibdir}

# install our rebuild file
cat %{SOURCE26} |\
	sed -e "s|mozilla-MOZILLA_VERSION|%{lib_name}|g;s|LIBDIR|%{_libdir}|g;s|MOZILLA_NAME|%{exec_name}|g"\
	> %buildroot%{mozillalibdir}/mozilla-rebuild-databases.pl
chmod 755 %buildroot%{mozillalibdir}/mozilla-rebuild-databases.pl

%{__install} -p -D %{SOURCE28} %buildroot%{_mandir}/man1/%{exec_name}.1

# remove unpackaged files
rm -rf %buildroot%{mozillalibdir}/chrome/{browser,classic,comm,embed-sample,en-US,inspector,modern,pipnss,pippki,toolkit,kdestripe,gnomestripe,help}

#multiarch 
%if !%build_for_corp3 
#
%if %build_nss_nspr
%multiarch_binaries %buildroot%{_bindir}/nspr-config
%endif
%multiarch_binaries %buildroot%{_bindir}/%{up_ca_name}-config
%endif


%__mkdir_p %buildroot%{mozillalibdir}/extensions/{47a62137-7705-400d-8226-7f633ce1455c}/chrome
rm -f %buildroot%{mozillalibdir}/chrome/gnomestripe.*
cp -f dist/bin/chrome/gnomestripe.jar \
	%buildroot%{mozillalibdir}/extensions/{47a62137-7705-400d-8226-7f633ce1455c}/chrome/
cp -f browser/themes/gnomestripe/browser/{install.rdf,icon.png,preview.png,chrome.manifest} \
	%buildroot%{mozillalibdir}/extensions/{47a62137-7705-400d-8226-7f633ce1455c}/
%__mkdir_p %buildroot%{mozillalibdir}/extensions/{7f6759ff-489d-4bb3-8a11-a570ac184158}/chrome
rm -f %buildroot%{mozillalibdir}/chrome/kdestripe.*
cp -f dist/bin/chrome/kdestripe.jar \
	%buildroot%{mozillalibdir}/extensions/{7f6759ff-489d-4bb3-8a11-a570ac184158}/chrome/
cp -f browser/themes/kdestripe/browser/{install.rdf,icon.png,preview.png,chrome.manifest} \
	%buildroot%{mozillalibdir}/extensions/{7f6759ff-489d-4bb3-8a11-a570ac184158}/

# Custom search engines
cp -f %{SOURCE35} %buildroot%{mozillalibdir}/searchplugins/jamendo.xml

#ghost files
touch %buildroot%{mozillalibdir}/components/compreg.dat
touch %buildroot%{mozillalibdir}/components/xpti.dat

%post
%update_menus
%if %mdkversion < 200700
unset DISPLAY
%{mozillalibdir}/mozilla-rebuild-databases.pl
if [ ! -r /etc/sysconfig/oem ]; then
	case `grep META_CLASS /etc/sysconfig/system` in
		*server) bookmark="mozilla-powerpackplus.html";;
		*powerpack) bookmark="mozilla-powerpack.html";;
		*) bookmark="mozilla-discovery-download.html";;
	esac
	ln -s -f $bookmark  %{mozillalibdir}/defaults/profile/bookmarks.html
fi
%endif
%if %mdkversion >= 200700
%update_icon_cache hicolor
%update_desktop_database
%endif
%if %mdkversion >= 200600 && %mdkversion < 200700
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi
if [ -x %{_bindir}/update-mime-database ]; then
	%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 
fi
%endif


if [ "$1" = "2" ]; then
	update-alternatives --remove webclient-gnome %{_bindir}/mozffremote
	update-alternatives --remove webclient-kde %{_bindir}/mozffremote
fi

%if %mdkversion >= 200700
%post -n %{libpkg_name}
unset DISPLAY
%{mozillalibdir}/mozilla-rebuild-databases.pl
if [ ! -r /etc/sysconfig/oem ]; then
  case `grep META_CLASS /etc/sysconfig/system` in
  *server) bookmark="mozilla-powerpackplus.html" ;;
  *powerpack)  bookmark="mozilla-powerpack.html" ;;
  *desktop) bookmark="mozilla-discovery.html";;
  *) bookmark="mozilla-download.html";;
  esac
  ln -s -f ../../../../share/mdk/bookmarks/mozilla/$bookmark  %{mozillalibdir}/defaults/profile/bookmarks.html
fi
%endif

%if %mdkversion < 200700
%preun
%else
%preun -n %{libpkg_name}
%endif
# is an upgrade
if [ "$1" == "1" ]; then
	unset DISPLAY
	%{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%postun
%clean_menus
%if %mdkversion >= 200700
%clean_icon_cache hicolor
%clean_desktop_database
%endif
%if %mdkversion >= 200600 && %mdkversion < 200700
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi
if [ -x %{_bindir}/update-mime-database ]; then
	%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 
fi
%endif

%if %mdkversion < 200700
%post devel
%else
%post -n %{libpkg_name}-devel
%endif
if [ "$1" = "2" ]; then
	update-alternatives --remove mozilla-config %_bindir/%up_ca_name-config
fi

%clean
%__rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README.txt LEGAL LICENSE
%config(noreplace) %_sysconfdir/firefox.cfg
%_bindir/%exec_name
%if %{official_branding}
%_bindir/firefox
%endif
%_bindir/mozffremote
%if %mdkversion < 200700
%dir %mozillalibdir
%mozillalibdir/*
%ghost %{mozillalibdir}/components/compreg.dat
%ghost %{mozillalibdir}/components/xpti.dat
%if %mdkversion >= 200600
%config %{mozillalibdir}/defaults/pref/vendor.js
%endif
%endif

%defattr(0644,root,root,0755)
%_menudir/*
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png
%_datadir/icons/hicolor/*/apps/*.png
%_mandir/man1/*
%{_datadir}/applications/*

%if %mdkversion >= 200700
%files -n %{libpkg_name}
%defattr(-, root, root)
%dir %mozillalibdir
%dir %mozillalibdir/dictionaries
%dir %mozillalibdir/extensions
%mozillalibdir/*
%ghost %{mozillalibdir}/components/compreg.dat
%ghost %{mozillalibdir}/components/xpti.dat
%config %{mozillalibdir}/defaults/pref/vendor.js
%endif

%if %build_nss_nspr
%files -n %{lib_nspr_name}
%defattr(-, root, root)
%{_libdir}/libnspr4.so
%{_libdir}/libplc4.so
%{_libdir}/libplds4.so

%files -n %{lib_nspr_name}-devel
%defattr(-, root, root)
%{_bindir}/nspr-config
%if !%build_for_corp3
%multiarch %{multiarch_bindir}/nspr-config
%endif
%dir %{mozillaincludedir}
%{mozillaincludedir}/nspr
%{_libdir}/pkgconfig/*-nspr.pc
%{_datadir}/aclocal/nspr.m4

%files -n %{lib_nspr_name}-static-devel
%defattr(-, root, root)
%{_libdir}/libnspr4.a
%{_libdir}/libplc4.a
%{_libdir}/libplds4.a

%files -n %{lib_nss_name}
%defattr(-, root, root)
%{_libdir}/libnssckbi.so
%{_libdir}/libnss3.so
%{_libdir}/libsmime3.so
%{_libdir}/libsoftokn3.so
%{_libdir}/libssl3.so
%{_libdir}/libfreebl3.so

%{_libdir}/*.chk

%files -n %{lib_nss_name}-devel
%defattr(-, root, root)
%{mozillaincludedir}/nss
%{_libdir}/pkgconfig/*-nss.pc
%endif

%if %mdkversion < 200700
%files devel
%else
%files -n %{libpkg_name}-devel
%endif
%defattr (-,root,root)
%{_bindir}/%{up_ca_name}-config
%if !%build_for_corp3
%multiarch %{multiarch_bindir}/%{up_ca_name}-config
%endif
%mozillaincludedir
%if %build_nss_nspr
%exclude %mozillaincludedir/nss
%exclude %mozillaincludedir/nspr
%endif
%dir %_datadir/idl/%lib_name
%_datadir/idl/%lib_name/*
%_libdir/pkgconfig/*gtkmozembed.pc
%_libdir/pkgconfig/*js.pc
%_libdir/pkgconfig/*plugin.pc
%_libdir/pkgconfig/*xpcom*.pc
%if !%build_nss_nspr
%_libdir/pkgconfig/*-nspr.pc
%_libdir/pkgconfig/*-nss.pc
%endif


%changelog
* Tue Mar 27 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.3-2mdv2007.1
+ Revision: 149218
- Added handler for mms protocol: xdg-open
  This will cause kmplayer/totem to be called.

* Thu Mar 22 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.3-1mdv2007.1
+ Revision: 147944
- Fix default startup homepage. FF seems to not be liking replacing
  browser.startup.homepage with our file:// url so do it the other way around.
- New upstream: 2.0.0.3

* Tue Mar 20 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.2-6mdv2007.1
+ Revision: 146972
- Make libmozilla-firefoxYY-devel own /usr/include/firefox-YY. Partially closes: #29579

* Tue Mar 13 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.2-5mdv2007.1
+ Revision: 142448
- Fix Obsoletes for previous libmozilla-firefox2.0.0.1: do not use libpkg_name
  macro as it will use wrong version.

* Mon Mar 12 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.2-4mdv2007.1
+ Revision: 142036
- As FF 2.0.0.2, forces the removal of FF 2.0.0.1, which had problems with
  libnspr/libnss. Closes: #29301.
- Integrates FF with xdg-utils package. Closes: #28697
- Added supported for Jamendo search plugin.

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Requires ( #29301)

* Thu Mar 08 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.2-3mdv2007.1
+ Revision: 138370
- Use Provides for libnspr/libnss buildrequires.
- Add missing BuildRequires to libnss3-static-devel.
- Rebuild against system's nss.
- Added StartupWMClass=Mozilla-firefox-bin to .desktop file as requested
  by ghibo: hope this helps startup notification.

* Mon Feb 26 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.2-1mdv2007.1
+ Revision: 125967
- New upstream: 2.0.0.2

* Sat Feb 10 2007 Anssi Hannula <anssi@mandriva.org> 0:2.0.0.1-8mdv2007.1
+ Revision: 118676
- Require nss-devel in firefox -devel package also when nss-devel is built from its own src.rpm.

* Fri Feb 09 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.1-7mdv2007.1
+ Revision: 118473
- Remove unwanted aclocal/nspr4.m4 when not building the libraries.
- Added support for using system's nspr and nss libraries and turn
  this the default behavior for >= 200710.

* Mon Feb 05 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.1-6mdv2007.1
+ Revision: 116246
- Added patch dnd-nograb: fixes #28483. Thanks to neoclust for pointing out the
  fix.

* Tue Jan 30 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.1-5mdv2007.1
+ Revision: 115520
- Do not rename bookmarks toolbar folder. Closes: #23448
- Include mozillalibdir/dictionaries and mozillalibdir/extensions to libmozilla
  package. (bug #21008)

* Mon Jan 08 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.1-4mdv2007.1
+ Revision: 106072
- Added patches safe_popen and safe_pclose: fixes upstream bug #51429
  Thanks to Pascal Terjan and Frederic Crozat for pointing this out.
- Tarball name doesn't depends on our distro version.

* Thu Dec 21 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0.0.1-3mdv2007.1
+ Revision: 100999
- New upstream: 2.0.0.1
- up_ca_name < 200700 only
- Avoid app_name change introduced by FF 2.0 for distros older the current
  cooker, thus avoiding libdir format changes.
- Fix probably a klipper's fault with missing file: specification in default
  startpage. Thanks to Nicolas L?\195?\169cureuil for reporting this.

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - add ppc64 support from mozilla trunk

* Fri Dec 08 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0-2mdv2007.1
+ Revision: 93623
- Bumped release.

  + Götz Waschk <waschk@mandriva.org>
    - move libfreebl3 to libdir, fixing nss application startup (evolution)
    - fix symlinks for pkgconfig files

* Thu Dec 07 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0:2.0-1mdv2007.1
+ Revision: 91977
- Fix BuildRequires for libcairo.
- Fixed kdestripe/gnomestripe icon problems in preferences window.
- Fixed mozillalibdir for mdv <= 2007.0 to avoid breakages
- Enabled BuildRequires to libcairo2-devel for !corp3
- Improved spec formatting.
- Updated startup notification patch (adopted new OpenSuSE patch)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Sync sources
    - New Version 2.0
    - Remove merged upstream bugs (45,104,110,115,118,120,121,124)
    - Move firefox to %%_libdir/firefox-%%version
    - Add some TODO

* Wed Nov 08 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.8-1mdv2007.1
+ Revision: 78147
-Release 1.5.0.8 (security upgrade)
-Import in SVN
-Bunzip patches
-remove patch119, merged upstream
-fix build on Corporate 3.0
-enable canvas, it was forgotten in previous build (bug from Shlomo Solomon)
- Import mozilla-firefox



* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.7-1mdv2007.0
- Release 1.5.0.7 (security update)
- Regenerate patch105
- Patch123 (gb): fix user agent buffer size for plugins

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.6-7mdv2007.0
- Separate download and discovery bookmarks

* Tue Sep 12 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.6-6mdv2007.0
- Patch122: copy FcCharset, prevent crash with fontconfig 2.4

* Fri Sep 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.6-5mdv2007.0
- Remove patch113, it prevents printing completely (Mdv bug #24831)
- Remove patch114, move config to /etc/firefox.cfg

* Mon Aug 28 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.6-4mdv2007.0
- Patch121 (Behdad): fix mathml support when using pango
- Update patch101 with better version
- Remove patch90 (merged upstream)
- Really fix upgrade
- Disable patch120 for now, pango for everybody

* Fri Aug 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.6-3mdv2007.0
- Fix upgrade (report by Nicolas Chipaux)

* Thu Aug 24 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.6-2mdv2007.0
- Split in lib package for mdv 2007.0
- Merge all changes needed to get backport for 2006.0 and corp4 (vdanen)
- Update patch46 with better patch
- Patch111 (SUSE): add support for system proxy (Mdv bug #10875)
- Patch112 (SUSE): enable startup notification
- Patch113 (SUSE): get paper size from CUPS
- Patch114: enable horizontal scroll with horizontal mousewheel (Mdv bug #24443)
- Patch115 (CVS): fix liveconnect leak (Moz bug #341728)
- Patch116 (SUSE): build NSS with our optimized cflags
- Patch117 (SUSE): make pagesize postscript DSC conform 
- Patch118 (SUSE): fix print properties saving
- Patch119: fix visibility for embedder (Moz bug #312998)
- Patch120: only enable pango with specific locales

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.6-1mdv2007.0
- Release 1.5.0.6

* Mon Jul 31 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.5-2mdv2007.0
- Patch109: fix underquoted warning
- Patch110 (CVS): fix maximum memory cache size (moz bug #296538)
- Fix icon cache macro in postun

* Fri Jul 28 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.5-1mdv2007.0
- Release 1.5.0.5
- Patch108: don't crash with flash and composite

* Tue Jun 27 2006 Gtz Waschk <waschk@mandriva.org> 1.5.0.4-6mdv2007.0
- fix buildrequires

* Thu Jun 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0:1.5.0.4-5mdv2007.0
- drop one faulty build dep

* Wed Jun 21 2006 Oden Eriksson <oeriksson@mandriva.com> 0:1.5.0.4-4mdv2007.0
- use the /etc/pki/tls/mozilla/certdata.txt file instead of the 
  bundled one that currently also includes the brazil and cacert.org CA
- fix deps

* Mon Jun 19 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.4-3mdv2007.0
- Oops, forgot to update mime cache
- fix mimetype

* Mon Jun 19 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.4-2mdv2007.0
- Switch to XDG menu
- use new macros

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.4-1mdk
- Release 1.5.0.4
- remove patch108 (merged upstream)

* Mon May 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.3-2mdk
- Rebuild with latest rpm-mandriva-setup

* Wed May 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.3-1mdk
- Release 1.5.0.3
- Patch108 (CVS): fix nsCrypto crash (Moz bug #330900)

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.2-1mdk
- Release 1.5.0.2
- Remove patches 102, 106 (merged upstream)

* Tue Apr 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.1-3mdk
- Always use system cairo
- Enable official branding (but keep the old library / exec naming for now)
- move part of patch4 into patch107
- Update patch0 to fix homepage when official branding
- add 64x64 and 128x128 "icons" in hicolor icon theme

* Tue Feb 07 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.1-2mdk
- Patch104 (CVS): fix for non-ASCII master password (Moz bug #252436)
- Patch105 (CVS): fix window.blur for embedded (Moz bug #325644)
- Patch106 (CVS): fix nsIconURI:: Clone and Resolve (Moz bug #312241)
- Update patch0, allow to set homepage correctly

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5.0.1-1mdk
- Relese 1.5.0.1
- Remove patch104 (merged upstream)
- Update source29, source30 to fix gnome/kde theme compatibility

* Tue Jan 31 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-10mdk
- Remove source 11 and source22, they are not needed at all
- create symlink if enabling official-branding
- Update patch0 to really fix homepage

* Fri Jan 27 2006 David Walluck <walluck@mandriva.org> 0:1.5-9mdk
- add option to allow for for official branding
- add official icon for when official branding is enabled

* Tue Jan 24 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-8mdk
- Patch104 (CVS): fix gtk freeze (Moz bug #305970)

* Mon Jan 23 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-7mdk
- Update source29, source30, patch40 : gnomestripe and kdestripe are back 
  (gnomestripe was merged partially upstream without me noticing), 
  with additions from GNOME-Fx theme from Jaap Haitsma
- Update patch51 with latest theme version
- Remove patch3 (obsolete)
- Update patch4, fix plugin path for x86-64
- enforce nspr/nss dependency, since people are still trying to install
  cooker package on stable distro

* Thu Jan 12 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-6mdk
- Remove patch52 (no longer needed)
- Update patch36 : hide "check for update" in help menu

* Thu Jan 12 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-5mdk
- Update patch0 to prevent l10n pack to override default homepage
- Update source26, remove source27 : no longer try to generate 
  installed-chrome.txt, this stuff is deprecated (Mdk bug #20571)
- Remove all deprecated files from filelist
- Patch103 (Fedora): disable visibility on anything but x86 (Mdk bug #20580)
- Update patch96 : fix plugin installer (Mdk bug #20561)
- Update patch97 : force reloading page if we did manual install

* Tue Jan 10 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-4mdk
- Oops, really fix missing icon

* Tue Jan 10 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-3mdk
- Fix missing icon in titlebar (Mdk bug #20531)

* Mon Jan 09 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-2mdk
- Enable SVG (bug #20533)
- Use default set of extensions (should fix block images feature)

* Thu Jan 05 2006 Frederic Crozat <fcrozat@mandriva.com> 0:1.5-1mdk
- Release 1.5.0
- Regenerate patches 0, 4, 5, 17, 35, 36, 44, 51, 53, 96, 97, 98, 101
- Remove patches 7, 19, 20, 21, 22, 23, 24, 26, 27, 30, 33, 34, 37,
  38, 47, 49, 54, 55, 56, 57, 58, 59, 60, 62, 78, 85, 86, 87, 88, 89, 
  91, 94, 95, 99, 100, 103, 107, 108 (merged upstream), 28, 32, 39, 
  44, 48, 50, 52 (no longer needed)
- Patch102: fix obviously broken code
- Update source 29 for 1.5 theme compliance
- Disable negociateauth extension, it doesn't build
- Disable KDE/GNOME theme, they need to be rewritten for 1.5 compatibility

* Wed Nov 09 2005 Frederic Crozat <fcrozat@mandriva.com> 0:1.0.7-4mdk
- Update source 30, fix small home button (Mdk bug #19378)

* Mon Nov 07 2005 Frederic Crozat <fcrozat@mandriva.com> 0:1.0.7-3mdk
- Patch108 (CVS): fix bugs with flash plugin (Moz bug #242122, 246560)

* Wed Nov 02 2005 David Walluck <walluck@mandriva.org> 0:1.0.7-2mdk
- add nspr static libraries as separate package

* Mon Oct 17 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.7-1mdk
- Release 1.0.7
- Remove patches 104, 105, 106 (merged upstream)

* Sat Oct 15 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.6-17mdk
- add epoch to nss and nspr devel provides

* Mon Oct 03 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-16mdk
- Update patch103, fix cursor positioning when pango is not used (Mdk bug #18980)
- Patch107 (CVS): fix CAN-2005-2353

* Thu Sep 22 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-15mdk
- Security update, synched with FF 1.0.7 :
 - Remove patch102, merged into patch 104
 - Patch104: Security fix for MFSA2005-57
 - Patch105: Security fix for MFSA2005-58
 - Patch106: fix command line parsing vulnerability
 - Update source26 : fix install when using sudo (Mdk bug #14715)

* Mon Sep 19 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-14mdk
- Patch103: fix crash (Mdk bug #18203)
- Update patch 49 to fix valgrind warning

* Thu Sep 15 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-13mdk
- Update bookmarks again

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-12mdk
- Remove patch92, it is causing corrupted rendering and it is not
  needed to fix CJK underline (already fixed by patch93 and pango rendering)

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-11mdk
- Patch102 (CVS): fix IDN crash (Mdk bug #18406)

* Fri Sep 09 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-10mdk
- Add source32: add our own bookmarks

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 1.0.6-9mdk
- rebuild to remove glitz dep

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-8mdk
- Update patch97 to use new Mandriva Club url

* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-7mdk
- Update patch101, remove last pango-xft call
- Update patch30, really enable pango

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-6mdk
- Patch101 (Fedora): remove last Xft references, fix for cairo

* Thu Aug 04 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-5mdk
- set BUILD_OFFICIAL/MOZILLA_OFFICIAL, this will fix buildID and 
  Mdk bug #17265

* Thu Aug 04 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-4mdk
- Patch99 (CVS): fix bad aliasing with gcc 4 on x86-64 (Moz bug #293307)
- Patch100 (CVS): fix crash with gtk 2.7 (Moz bug #300226)

* Wed Aug 03 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-3mdk
- Patch97: Plugin finder connects now to Mandriva Club
- Patch98 (Fedora): add support for freedesktop mime-info

* Tue Aug 02 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-2mdk
- Patch95 (Fedora): file chooser is now modal
- Add vendor/vendorSub/vendorComment to default preferences
- Patch96 : allow sending vendorComment when searching for plugins
- fix buildid in firefox.js

* Thu Jul 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-1mdk 
- Release 1.0.6
- Patch94 (Debian): fix gdk warning
- Remove patch61 (merged upstream)

* Tue Jul 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-3mdk
- Patch92 (Magiclinux): fix underline for CJK (Mdk bug #14331)
- Patch93 (Magiclinux): fix underline for CJK with pango (Mdk bug #14331)

* Wed Jun  1 2005 Gtz Waschk <waschk@mandriva.org> 1.0.4-2mdk
- fix the menu longtitle (bug #14730)
- mkrel
- fix mozilla-firefox-config (bug #16034)

* Tue May 24 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-1mdk 
- Release 1.0.4
- fix menu entry to accept url (Mdk bug #16103)
- remove patches 43, 64->77, 79->84 (merged upstream)
- Patch86 (Fedora): fix position for IM candidate window
- Patch87 (Fedora): properly link with gfxshared
- Patch88 (Fedora): fix bidi justification with pango
- Patch89 (Fedora): fix compilation against fortified glibc macro
- Patch90 (Fedora): fix cursor positionning in textarea
- Patch91 (Fedora): fix clipped text rendering with Pango 

* Tue May 17 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-7mdk 
- Patch default user agent string to say this is version 1.0.4 of 
  Firefox, need to circonvent addons.mozilla.org browser detection
  (Mdk bug #15987)

* Fri May 13 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-6mdk 
- Security update to sync with 1.0.4 :
 - Patch79 (CVS): fix Moz bug #290949
 - Patch80 (CVS): fix Moz bug #292691 
 - Patch81 (CVS): clear memory after freeing it (Moz bug #290476)
 - Patch82 (CVS): fix Moz bug #290908
 - Patch83 (CVS): fix Moz bug #290777
 - Patch84 (CVS): fix Moz bug #290982
- Patch85 (Fedora): fix build with gcc 4

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-5mdk 
- Patch78 (Debian) : allow adding search engines as user (Moz bug 123315)

* Mon Apr 18 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-4mdk
- Security update to sync with 1.0.3 :
  - Update patch64 with fix for Moz bug #288818
  - Update patch65 with fix for Moz bug #289171
  - Patch66 (CVS): fix showing a blocked popup has chrome privs (Moz bug #289204)
  - Patch67 (CVS): fix XSS attack with getter/setter (Moz bug #289675)
  - Patch68 (CVS): fix link tag allows to execute arbitrary code without user interaction (Moz bug #290036)
  - Patch69 (CVS): fix search plugins can get javascript access to currently active tab (Moz bug #290037)
  - Patch70 (CVS): fix arbitrary code execution via sidebar (Moz bug #290079)
  - Patch71 (CVS): fix crash in xpinstall (Moz bug #290162)
  - Patch72 (CVS): fix privilege escalation via DOM property overrides part1 (Moz bug #289083)
  - Patch73 (CVS): fix privilege escalation via DOM property overrides part2 (Moz bug #289961)
  - Patch74 (CVS): fix regression caused by security fix in 1.0.2 (Moz bug #287459)
  - Patch75 (CVS): fix crash in typeahead (Moz bug #274625)
  - Patch76 (CVS): fix privilege escalation via DOM property overrides part3 (Moz bug #289074)
  - Patch77 (CVS): fix scanner overflow (Moz bug #244177)

* Tue Apr 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk 
- Update patch26 to really really register FF (Mdk bug #14987), 
  set HOME if it isn't set (fix segfault in mandrake_firstime) and 
  fix perl syntax (rafael)
- Patch63 (Fedora) : add env variable to disable GNOME url handler 
- Patch64 (CVS): fix JS vulnerability (Moz bug #288688)
- Patch65 (CVS): fix chrome vulnerability (Moz bug #288556)

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk 
- Update source31 to not complain when profile directory doesn't exist (laurent)
- Update source30/31 : fix bad appeareance for about:plugins in KDE/GNOME themes (gb)
- Update source30 : fix wrong sizing for Crystal buttons (Nikos Platis)
- Update source26 to really register FF 
- Update patch40 to use original version of gnomestripe for classic theme

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk 
- Security release : 1.0.2

* Wed Mar 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-11mdk 
- Fix source26 and correctly replace exec name in it 
- Update source30/patch40 to fix Mdk bug #14929

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-10mdk 
- Update source26 to not delete chrome.rdf, fixes Mdk bug #14795

* Fri Mar 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-9mdk 
- Update source30, patch40/remove source31, patch41 to generate gnomestripe in a separate jar
- Update source26 to not crash when using sudo to install package
- Update patch51 to use gnomestripe for GNOME, kdestripe for KDE or classic for others
- add Source31: migration script, fix missing icons when using old profile

* Tue Mar 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-8mdk 
- Fix nspr header location in nspr-config

* Tue Mar 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-7mdk 
- Patch61 (CVS): fix x86-64 detection (Moz bug #265536)
- Patch62 (CVS): fix tab memleaks (Moz bug #283063)
- Force generation of cert infos (fix Mdk bug #14155)
- Update patch36 to enable update for extensions/themes (Mdk bug #14235)

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-6mdk 
- Patch57: fix crash in prompt service (Moz bug #265599)
- Patch58: fix modality of prompt service (Moz bug #224454)
- Patch59: fix tooltip drawing in web page for embed (Moz bug #238052)
- Patch60: give access to DOM window for nsSecureBrowserUIImpl request (Moz bug #277587)

* Wed Mar  9 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-5mdk
- fix menu longtitle (mdk bug #13880)

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk 
- Update patch53 to fix Mdk bug #14195

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk 
- Patch54 (CVS): call g_set_application_name
- Patch55 (CVS): reduce round trips to xserver during remote control
- Patch56 (CVS): Request the correct system colors from gtk 

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk 
- Update patch4 to fix Mdk bug 14186 

* Fri Feb 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- Remove patch 42 (merged upstream)
- put nss and nspr in their own subpackages, to replace mozilla ones
- Patch53 : open new urls on CLI in new-tab, duplicating mozffremote feature
- Drop devel alternatives, firefox devel packages is not the exactly same
  beast as mozilla devel packages.

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-13mdk 
- Remove some dependency exceptions
- Drop webclient-gnome/kde alternative

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-12mdk 
- Update patch49, should fix Mdk bug 12537

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-11mdk 
- Build typeaheadfind extension
- Disable SVG support (not stable enough)
- multiarch

* Sun Jan 23 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.0-10mdk 
- fix buildrequires

* Thu Jan 20 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-9mdk 
- Include mozilla package patches :
 - Patch12: set ps default fonts for some asiatic languages
 - Patch13: make default plugin less annoying 
 - Patch14: use Standard Symbols L too for MathML
 - Patch15: fix problem with time font in MathML
 - Patch16: patches for MathML
 - Patch17: Add IGP Brasil CA certificate
 - Patch18: Workaround problems with prdtoa
 - Patch19: fix separator key
 - Patch20: fix frame loading in gecko
 - Patch21: fix include path in mozilla-xpcom.pc
 - Patch22: fix parent window level with modal dialogs
 - Patch23: fix repaint over settimeout 
 - Patch24: don't access freed rendering context
 - Patch25: try to load castella PKCS#11 module if available 
 - Patch26: fix and enable GTK2 filechooser
 - Patch27: fix pkgconfig calls
 - Patch28: prevent inlining of stack direction detection
 - Patch30: Pango rendering
 - Patch31: fix dynamic library loading on 64bit system
 - Patch32: fix nspr-config script to be 64bit friendly
 - Patch33: use pango for selection
 - Patch34: fix spacing in textarea when using pango for rendering

- Patch29 (Fedora): Fix problem where default apps aren't showing up in the download dialog (Fedora)
- Patch35 (Fedora): fix default apps in download dialog and kill check browser at startup UI
- Patch36 (Fedora): disable software update
- Patch37 (Fedora): add support for GNOME icons 
- Patch38 (Fedora): set icons in buttons if available
- Patch39 (Fedora): fix useragent
- Patch40 (Fedora): change default theme 
- Patch41 (Fedora): various fixes for gnomestripes
- Patch42 (CVS): fix crash when fonts are no longer available (Moz bug #180309)
- Patch43 (Debian): fix destdir in makefile 
- Patch44 (Debian): fix about size 
- Patch45 (Debian): don't call netstat to set entropy (Mdk bug #9427)
- Patch46 (Debian): ignore unknown mouse button even
- Patch47 (Fedora): download to desktop by default
- Patch48 (Debian): quiet extensions manager
- Patch49 (Christian): typeahead extension no longer conflicts with FF one
- Patch50 (Debian): fix extension manager to be multi-user
- Patch51: set kdestripe theme when running under KDE
- Patch52: allow theme registration without X running (Moz bug #265859)
- Update patch11 with more simple version from Debian
- Source30 : KDE CrystalSVG icons for Firefox
- Source31 : missing icons for gnomestripe

- Clean specfile :
 - Use fixed release date as build date
 - Don't let build system strip files, let rpm handle it (fedora)
 - Use a subdirectory for storing sources, allowing parallel build with seamonkey
 - disable freetype2 build
 - enable pango rendering

* Tue Dec 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-8mdk
- patches from Yuri Bugelli:
  - don't try to register as default browser on startup
  - fix default home page

* Fri Dec 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-7mdk
- add the releasetag stuff

* Fri Dec 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-6mdk
- fix language detection again, thanks to Yuri Bugelli)

* Mon Dec  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-5mdk
- fix bug 12588 (language detection, thanks to Eric Pielbug)

* Sat Nov 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-4mdk
- fix buildrequires

* Wed Nov 24 2004 Jean-Michel Dault <jmdault@revolutionlinux.com> 1.0-3mdk
- rebuild with new cairo and pixman libs
- export HOME before running mozilla-register otherwise we get segfaults
  when installing under drakX
- do not use soundwrapper, it doesn't work with Java and Flash supports 
  esd natively.

* Tue Nov 16 2004 Jean-Michel Dault <jmdault@revolutionlinux.com> 1.0-2mdk
- merge patches from MDK and RVLX

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- fix buildrequires
- new version

* Fri Nov  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.rc2.1mdk
- fix source URL
- new version

* Wed Nov  3 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-0.rc1.2mdk
- really load libXext.so.6 and libXt.so.6

* Thu Oct 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.rc1.1mdk
- drop patch 10
- drop merged patches 6,7,8,9
- rediff patch 4
- add gpg signature
- new version

* Mon Oct 11 2004 Benoit des Ligneris <bdesligneris@revolutionlinux.com> 0.10.1-6mdk
- patch for langage detection (use the locales of the user)
- update the patch to accomodate the new naming schemes of langages files

* Mon Oct 11 2004 Benoit des Ligneris <bdesligneris@revolutionlinux.com> 0.10.1-5mdk
- update mozilla-rebuildatabase.pl.in so that it rebuild the installed-chrome.txt
  according to the rc.d directory (source26)
- put the script to do this in source27 (generate-chrome.sh)
- remove the debug infor of the generate-chrome.sh script

* Thu Oct  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10.1-4mdk
- update from Crispin Boylan:
  - clean up build options, remove old or obsolete configure switches 
  - use mozilla standard enable-extensions list
 
* Mon Oct  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10.1-3mdk
- update menu entry
- simplify post script
- reenable freetype
- port some patches from fedora

* Mon Oct  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10.1-2mdk
- enable optimization (Giuseppe Ghib)

* Sun Oct  3 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.10.1-1mdk
- New release 0.10.1

* Wed Sep 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10-3mdk
- fix mozilla-firefox script (bug 11674)

* Sun Sep 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10-2mdk
- replace Xvfb hack by mozilla-firefox -register call (bug #11604)

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.10-1mdk
- fix installation
- fix menu section to make builds on older distributions simple
- new version

* Sat Aug 21 2004 Jerome Soyer <saispo@mandrake.org> 0.9.3-3mdk
- fix menu entry

* Fri Aug 06 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.3-2mdk
- run scripts this package owns in preun (so they are actually present)

* Thu Aug  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- New release 0.9.3

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-3mdk
- from debian package
  - sleep 15 seconds
  - disable installer configure option
  - use cairo for svg

* Thu Jul 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-2mdk
- enable svg

* Mon Jul 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- use hacks from the fedora package to run mozilla-firefox as root first
- update mozffremote script
- fix source URL
- New release 0.9.2

* Tue Jun 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- fix buildrequires for 10.0
- fix startup script again
- New release 0.9.1

* Sun Jun 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-3mdk
- fix mozffremote startup script

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-2mdk
- fix buildrequires

* Thu Jun 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- patch 4: rename firefox to mozilla-firefox everywhere
- drop patch 2
- add rebuild databases script
- simplify installation
- disable profile sharing
- Rebuild with -fabi-version=1 to retain compatibility with statically
  linked Sun's JRE 1.4.2 plugin
- disable freetype2 build
- fix source URL
- New release 0.9

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-15mdk
- patch3: fix flash plugin
- fix menu entry

* Mon Mar 01 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-14mdk
- move alternatives scripts to devel package %%post/%%postun
- install mozilla-rebuild-databases.pl

* Tue Feb 24 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-13mdk
- don't own mozilla-config

* Tue Feb 24 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-12mdk
- more exact regex to match mozilla-<version>
- use macros where possible
- own %%_includedir/%{lib_name} directory
- alternativize mozilla-config and pkgconfig files
- export MOZ_BUILD_DATE
- use %%configure

* Mon Feb 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-11mdk
- fix webclient-kde alternative
- don't set the mozilla version to the firefox version
- use the makeinstall_std macro
- simplify the build

* Sun Feb 22 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-10mdk
- symlink %%exec_name-config to mozilla-config
- fix paths in mozilla-config

* Fri Feb 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-9mdk
- fix patch 2 (--short-circuit is evil)

* Fri Feb 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-8mdk
- fix conflict with other mozillas (Dank an Frederik Himpe)

* Wed Feb 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-7mdk
- compress the jar files
- revert to the free icons

* Sat Feb 14 2004 David Walluck <walluck@linux-mandrake.com> 0:0.8-6mdk
- add epochs
- update menu section for 10.0
- merge icons provided by Mark Baas <m.baas@zarb.org>

* Fri Feb 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-5mdk
- revert icon change

* Fri Feb 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-4mdk
- replace the icon

* Thu Feb 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-3mdk
- update the mozffremote script to open a new window if started without an URL
- use the mozffremote script in the menu

* Tue Feb 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- register firefox as gnome webclient
- add mozffremote script from kk1

* Mon Feb  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- use Imagemagick for the icons
- renamed from mozilla-firebird
- new version

* Wed Oct 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- new version

* Fri Sep  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-6mdk
- patch1: set the plugin dir to %_libdir/mozilla/plugins and ~/.mozilla/plugins

* Wed Sep  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-5mdk
- arrgh, fix the spec file 

* Wed Sep  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-4mdk
- don't provide libnspr and libnss

* Mon Sep 1 2003 Tibor Pittich <Tibor Pittich@phuture.sk> 0.6.1-3mdk
- requires indexhtml

* Mon Sep 1 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6.1-2mdk
- merged patch from mozilla to set default home page as other browsers
  included in mandrake distro (#5029)

* Wed Jul 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- moz_name is 1.5a
- source url
- new version

* Mon Jul 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.7mdk
- fix typo in the devel conflicts

* Mon Jul 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.6mdk
- disable pedantic flag to fix build

* Thu Jul 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.5mdk
- add some more conflicts
- fix dir ownership

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.4mdk
- remove redundant buildrequires
- the devel package conflicts with mozilla-devel (pkgconfig files)
- don't own %_libdir/pkgconfig
- move pkgconfig files to the devel package 

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.3mdk
- fix buildrequires

* Mon May 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6-0.2mdk
- change package name - all characters now are lowercase
- mixed numeric and and alphanumeric characters in release name isn't good
  idea (Guillaume Rousse)
- import icons from Han's rpm - http://iconpacks.mozdev.org/phoenix/
  credit to J.A. Magallon
- build with separated lib home - this can allow coexist together with mozilla
- disable ldap stuff
- improved description

* Sat May 24 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.6-0.UNTESTED.1mdk
- WOW! now we have MozillaFirebird package in Cooker :-)
- based on mozilla.spec
- this is pre-alfa testing rpm build!! - new versions of rpm package will be
  released soon.. Please test it and report problems..
- libnspr and libnss is packaged with MozillaFirebird package due to mozilla's
  libraries, now only devel package is separated
